#ifndef FONT_H
#define FONT_H

struct font {
	char *data; //should be num_chars*bytes_per_char long, with pixels organized row-major
	unsigned int width, height; //height and width of the actual characters, in pixels/bits
	unsigned int num_chars;
	unsigned int bytes_per_char;
	int ascii_offset; //If the first element in *data is for the 32nd ASCII character, this would be 32
};

struct font* font_get();

#endif /* FONT_H */
